Subject: Re: [PATCH 00/24] object_id part 10

From: Brandon Williams <[email-masked]>
Date: Mon, 2 Oct 2017 16:34:42 -0700

On 10/01, brian m. carlson wrote:
> This is the tenth in a series of patches to convert from unsigned char
> [20] to struct object_id.  This series mostly involves changes to the
> refs code.  After these changes, there are almost no references to
> unsigned char in the main refs code.
> 
> I've tried to update the code comments as I've touched them, but if I've
> missed any, please point them out.  A big thank-you goes out to René
> Scharfe, who did the work to make resolve_ref_unsafe optionally take a
> NULL pointer; this dramatically reduced the size of one of the patches,
> and allowed a few others to be dropped during the rebase.

Aside from a few unimportant style nits the series looks good to me!

-- 
Brandon Williams